module.exports = {
  // 继承的规则
  extends: ['@commitlint/config-conventional'],
  // 自定义规则
  rules: {
    // type 类型定义，表示 git 提交的 type 必须在以下类型范围内
    'type-enum': [
      // 当前验证的错误级别：错误级别
      2,
      // 在什么情况下进行验证：任何时候
      'always',
      // 泛型内容：对应上面的 .cz-config.js 文件中的 types 配置项中的所有 value
      [
        'feat', // 新功能 feature
        'fix', // 修复 bug
        'docs', // 文档注释
        'style', // 代码格式(不影响代码运行的变动)
        'refactor', // 重构(既不增加新功能，也不是修复bug)
        'perf', // 性能优化
        'test', // 增加测试
        'build', // 打包
        'ci', // 对CI配置文件和脚本的更改
        'chore', // 构建过程或辅助工具的变动
        'revert', // 回退
        'conflict', // 修改冲突
        'font', // 字体文件更新
        'delete', // 删除文件
        'stash' // 暂存文件
      ]
    ],
    // subject 大小写不做校验：0 => false
    'subject-case': [0]
  }
}
