import hyRequest from '..'
import type { IAccount } from '@/global/types/user'

/**
 * 登录
 */
export const login = (data: IAccount) => {
  return hyRequest.post({
    url: '/sys/login',
    data
  })
}

/**
 * 获取用户信息
 */
export const getUserInfo = (token: string) => {
  return hyRequest.get({
    url: '/sys/profile',
    params: {
      token
    }
  })
}

/**
 * 获取项目功能
 */
export const getProjectFeature = () => {
  return hyRequest.get({
    url: '/user/feature'
  })
}

/**
 * 获取章节
 */
export const getProjectChapter = () => {
  return hyRequest.get({
    url: '/user/chapter'
  })
}
