import { createPinia } from 'pinia'
import { createPersistedState } from 'pinia-plugin-persistedstate'

const pinia = createPinia()

// 使用数据持久化插件
// https://github.com/prazdevs/pinia-plugin-persistedstate
pinia.use(
  createPersistedState({
    // 该配置将会使所有 Store 持久化存储
    // 如需指定不对某个 Store 进行持久化处理, 必须配置 `persist: false` 显式禁用持久化
    // auto: true
    // ? 如果使用 localStorage, 则只需要登录一次, 之后会自动登录
    // ? 如果使用 sessionStorage, 则每一次访问前都需要先登录
    // 默认使用的是 localStorage
    // 使用 sessionStorage 对 Store 数据进行持久化储存
    // storage: sessionStorage
  })
)

export default pinia
