import { TIME_STAMP, TOKEN_TIMEOUT_VALUE } from '@/global/constants'
import { localCache } from '.'

/**
 * 获取时间戳
 */
export const getTimeStamp = () => localCache.getCache(TIME_STAMP)

/**
 * 设置时间戳
 */
export const setTimeStamp = () => {
  localCache.setCache(TIME_STAMP, Date.now())
}

/**
 * 是否登录超时: token 是否还有效
 */
export const isLoginTimeout = () => {
  // 当前时间
  const currentTime = Date.now()
  // 缓存时间
  const timeStamp = getTimeStamp()
  return currentTime - timeStamp > TOKEN_TIMEOUT_VALUE
}
